:root{
    --blue-dans: #003182;
    --red-dans: #d11911;
    --red-service-background:#D01911
}

.bg-blue-dans{
    background-color: var(--blue-dans);
}

.color-blue-dans{
    color: var(--blue-dans);
}

.bg-red-dans{
    background-color: var(--red-dans);
}

.color-red-dans{
    color: var(--red-dans);
}

#typing_and_laptop{
    position: relative;
    display: grid;
    height: inherit;
    /* top: 20%; */
    max-width:inherit;
    padding:0px 4rem;
}

#typing_and_laptop > *{
    height:inherit;
}

.h1_container {
    display: block;
    position: relative;
    overflow: hidden;
    height: 20rem;
    align-content: center;
}

.typing-text{
    font-size: 5rem;
}

.laptop-container, .typing-text-container{
    height: 100% !important;
    display:flex;
    align-items: center;
    width: 100%;
}



.typing-text-container{
    justify-content: flex-start;
}

.laptop-container{
    justify-content: center;
}

.laptop-container img{
    height: 60rem;
    top: 5%;
    position: relative;
}

/* .typing-text {
    margin: 0px 2rem;
    text-align: left;
    white-space: nowrap;
    overflow: hidden;
    width: 0;
    animation: typing 2s steps(30) normal forwards, erasing 2s steps(30) 2s normal forwards;
    position: relative;
    opacity: 1;
    visibility: visible;
    word-break: break-word;
    text-wrap: wrap;
} */

/* Typing animation */
@keyframes typing {
    from {
        width: 0;
    }
    to {
        width: 30ch; /* This width will depend on the actual container size */
    }
}

/* Erasing animation (optional if you want the text to erase) */
@keyframes erasing {
    from {
        width: 30ch;
    }
    to {
        width: 0;
    }
}

.typing-text {
    font-size: 5rem;
    display: inline;
    white-space: normal; /* Allow wrapping */
    word-break: break-word;
}

/* .typing-text::after {
    content: "|";
    animation: blink 1s step-start infinite;
} */

/* @keyframes blink {
    50% {
        opacity: 0;
    }
} */


.hero .lead {
    font-weight: 500 !important;
}

.lead{
    line-height: 35px !important;
}

#hero1-2{
    background-image: url('../images/COVER\ HOME\ PAGE.png');
    /* background-color: var(--blue-dans); */
    width:100%;
}

#content1-1 .spotlight-block .about-us-container-2{
    background-color: var(--blue-dans);
}

.features-tab .tab-title.current {
    color: #fff;
    background-color: var(--blue-dans) !important;
}

.btn-blue, a.inverse.btn-blue, .inverse a.btn-blue {
    background-color: var(--blue-dans);
}

#portfolio1-1 h2{
    color: var(--blue-dans);
}

#features10-1 .tab-content{
    height:auto;
}

#features10-1 .tab-content .image_content{
    width:100%;
    height:auto;
    text-align: center;
}

.features-tab .tab-content{
    top:20% !important;
}

.image_content img{
    width: inherit;
}

#contact3-1 .section-header{
    color:var(--blue-dans);
}

.upload-btn {
    display: inline-block;
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 16px;
    border-radius: 4px;
}

.upload-btn:hover {
    background-color: #45a049;
}

input[type="file"] {
    display: none;
}

.small_text{
    opacity:.6;
    font-weight:600;
    color: var(--blue-dans);
}

.navbar-brand.logo-white img{
    /* height: 10rem !important; */
    height : 6rem !important;
}
.navbar-brand.logo-black img{
    height: 6rem !important;
}

.portfolio-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.portfolio-image-container{
    align-content: center;
    width:20rem;
    display:inline-block;
}

.breadcrumb li, .breadcrumb a, .breadcrumb a.inverse{
    color: var(--blue-dans) !important;
}

.blog-post .date{
    background-color: var(--blue-dans);
}

.latest-post{
    white-space: pre-line;
}

.sb-whatsapp {
    background-color: #3EBA54;
}

.sb-whatsapp:hover {
    background-color: #67b875;
}

.comments-list .pull-left{
    border: 1px solid #000;
    padding: 1rem 1.2rem;
    border-radius: 50%;
    margin-right: 1rem;
}

.top{
    background-color: var(--blue-dans) !important;
    bottom:100px !important;
}

.whatsapp-link{
    /* display: block;
    position:fixed; */
    right: 30px;
    bottom:180px;
    /*width:inherit;
    height:inherit;
    font-size: 8rem; */
    position: fixed;
    /* bottom: 20px; */
    /* right: 20px; */
    /* background-color: #25D366; */
    color: white;
    font-size: 44px;
    padding: 15px;
    border-radius: 50%;
    display: none; /* hidden by default */
    z-index: 1000;
    transition: opacity 0.3s ease;
    color: #3EBA54 !important;
}

.whatsapp-link.show {
    display: block;
}

p{
    word-wrap: break-word;
}

.portfolio-container img{
    filter: grayscale(100%);
    transition: filter 0.2s ease;
}

.portfolio-container img:hover {
    filter: grayscale(0%);
    cursor: pointer;
}

#readMoreToggleButton{
    border:2px solid #FFF;
    color:#FFF;
    background-color: var(--red-dans);
}

.about-us-paragraphs-wrapper {
    overflow: hidden;
    max-height: 0;
    opacity: 0;
    transition: max-height 0.8s ease, opacity 0.8s ease;
}

.about-us-paragraphs-wrapper.expanded {
    max-height: 3000px; /* Adjust based on your content */
    opacity: 1;
}

.appconcept{
    text-decoration-line: underline !important;
}

.appconcept:hover{
    color: #AF7071;
}

.dansgroup {
  text-decoration: none;
  color: inherit; /* Keeps default text color before hover */
  transition: color 0.3s ease;
}

.dansgroup .first,
.dansgroup .second {
  transition: color 0.3s ease;
}

/* When hovering over the link */
.dansgroup:hover .first {
  color: var(--blue-dans);
}

.dansgroup:hover .second {
  color: var(--red-dans);
}

#we_deliver_container img{
    width:100%;
}

/* #portfolio1-1{
    padding-top: 0% !important;
} */

.apply_now_image{
    float: right;
    height: auto;
}

.apply_now_image img{
    height:51rem;
}

#career{
    padding-top: 0px !important;
}

.tab-content .image_content ul{
    background-color: var(--red-service-background);
    color:#FFF;
    float: left;
    /* height:70%; */
    max-height: 35rem;
    height: 35rem;
    display: flex;
    flex-direction: column;
    /* justify-content: space-evenly; */
    padding: 1rem 0px;
    bottom: 1rem;
    position: relative;
}

.services_justify_content_first{
    justify-content: space-evenly;
}

.services_justify_content_second{
    justify-content: normal;
}

.services_justify_content_second li{
    margin: 1rem 0px;
}

#features10-1 li{
    list-style: disc;
    list-style-position: inside;
    text-align: left;
    margin-left: .3rem;
}

section{
    padding-top: 2rem;
}

ul.footer-social{
    margin-top: 1rem !important;
}

.copyright_social_div{
    display:flex;
    justify-content:space-between;
}

.footer-social {
    list-style: none;
    display: flex;
    gap: 15px;
    padding: 0;
    margin: 0;
}

.footer-social li a {
    font-size: 24px;
    color: #333; /* Default icon color */
    transition: all 0.3s ease;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

.footer-social li a.facebook:hover {
    color: #fff;
    transform: scale(1.2);      /* Slight zoom effect */
    background-color: #3b5998;
}
.footer-social li a.twitter:hover {
    color: #fff;
    transform: scale(1.2);      /* Slight zoom effect */
    background-color: #000;
}
.footer-social li a.instagram:hover {
    color: #fff;
    transform: scale(1.2);      /* Slight zoom effect */
    background-color: #e1306c;
}
.footer-social li a.youtube:hover {
    color: #fff;
    transform: scale(1.2);      /* Slight zoom effect */
    background-color: #FF0000;
}
.footer-social li a.tiktok:hover {
    color: #fff;
    transform: scale(1.2);      /* Slight zoom effect */
    background-color: #000000;
}

.tab-content ul li span{
    font-weight:bold;
}

/*
*  START SCROLLING OF PORTFOLIOS
*/

    .portfolio_first_row, .portfolio_second_row, .portfolio_third_row {
        overflow: hidden;
        white-space: nowrap;
        width: 100%;
        position: relative;
        padding: 3rem 0px;
    }

    .portfolio_first_row .scroll-content, .portfolio_third_row .scroll-content {
        display: inline-flex;
        will-change: transform;
        /* animation: scroll-left 60s linear infinite; */
    }
    .portfolio_second_row .scroll-content {
        display: inline-flex;
        will-change: transform;
        /* animation: scroll-right 60s linear infinite; */
    }

    .scroll-speed-2 .scroll-content {
        animation-duration: 40s;
    }

    .scroll-speed-3 .scroll-content {
        animation-duration: 50s;
    }

    .portfolio-image-container {
        flex: 0 0 auto;
        margin-right: 20px; /* spacing between items */
    }

    @keyframes scroll-left {
        0% {
            transform: translateX(0%);
        }
        100% {
            transform: translateX(-50%);
        }
    }

    @keyframes scroll-right {
        0% {
            transform: translateX(-50%);
        }
        100% {
            transform: translateX(0%);
        }
    }


/*
*  END SCROLLING OF PORTFOLIOS
*/


/* #modalOverlay {
    display: none;
    position: fixed;
    top: 0; left: 0;
    width: 100vw; height: 100vh;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 9999;
    overflow-y: auto;
    padding: 2rem;
    box-sizing: border-box;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.4s ease;
} */

/* Fade-in when active */
/* #modalOverlay.active {
    display: block;
    opacity: 1;
    pointer-events: auto;
} */

/* Fade-out class */
/* #modalOverlay.fade-out {
    opacity: 0;
    pointer-events: none;
} */

/* .modal_content {
    background: white;
    max-width: 800px;
    margin: auto;
    padding: 2rem;
    border-radius: 8px;
    transform: translateY(-20px);
    opacity: 0;
    animation: fadeInModal 0.4s ease forwards;
}

@keyframes fadeInModal {
    to {
        transform: translateY(0);
        opacity: 1;
    }
} */

.btn-loader {
    display: inline-block;
    vertical-align: middle;
}

@media(max-width:400px){

    #typing_and_laptop{
        padding : 0px 1rem;
    }

    .typing-text-container{
        align-items: normal;
        height: 50% !important;
        width : 50%;
    }

    .laptop-container{
        align-items: normal;
        height: 50% !important;
        width : 50%;
    }

    .laptop-container img {
        height: 40% !important;
        position: relative;
        bottom: 1rem;
    }

    .typing-text{
        font-size : 2rem !important;
    }

}

@media(max-width:500px){

    .copyright_social_div{
        display: grid;
        justify-content: center;
    }

    ul.footer-social{
        margin-top: 3rem !important;
    }

}


@media(max-width:767px){

    .typing-text-container{
        align-items: normal;
        height: 50% !important;
        width : 100%;
    }

    .laptop-container{
        align-items: normal;
        height: 50% !important;
        width : 100%;
    }

    .laptop-container img {
        height: 40% !important;
        position: relative;
        bottom: 1rem;
    }

    .typing-text{
        font-size : 2rem !important;
    }

}

@media(min-width:768px){

    #typing_and_laptop{
        grid-template-columns : repeat(2, minmax(0, 1fr));
    }

}



@media(max-width:991px){
    .h1_container > h1{
        font-size: 4rem;
    }

    .laptop-container img {
        height: 45rem;
    }

    /* .h1_container{
        width:450px;
    } */

    /* .typing-text-container{
        /* top:40%;
    } */

    .apply_now_image{
        display:none;
    }

    #careerForm{
        margin-right: 4rem !important;
    }
}

@media(min-width: 992px){
    /* .h1_container{
        max-width: 50rem;
    } */

    .typing-text{
        font-size:4rem;
    }

    #features10-1 .tab-content{
        height:100% !important;
    }

    .tab-content .image_content img{
        height:initial;
    }

}

@media only screen and (max-width: 1199px) {
    .top{
        bottom: 100px !important;
    }

    .whatsapp-link{
        right: 0px;
        bottom:150px;
        /* font-size: 5rem;
        color: #3EBA54 !important;*/
    }
}


